People & profiles

Create Data Deletion Request

Creates a pending GDPR deletion request for the caller, a target employee (admin), or the whole company.

POSThttps://api.toku.com/hris/create-data-deletion-request

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/create-data-deletion-request' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "requestType": "EMPLOYEE",
  "reason": "string",
  "employeeRoleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "dataDeletionRequestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "success": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

requestTypestringrequired

Available options: EMPLOYEE, COMPANY

reasonstring

Allowed: at most 2000 characters

employeeRoleInOrgIDstring<uuid>

Response

200Successful response
dataDeletionRequestIdstring<uuid>
successboolean
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits